Error installing synergy

Hello I am trying to install synergy on my openSuse and I keep getting the following error
as root:
linux-yysx:/home/hgallo/Desktop # rpm -ivh synergy-1.2.3-1.src.rpm
1:synergy warning: user crs does not exist - using root
########################################### [100%]
warning: user crs does not exist - using root

as user:
hgallo@linux-yysx:~/Desktop> rpm -ivh synergy-1.2.3-1.src.rpm
1:synergy warning: user crs does not exist - using root
########################################### [100%]
error: unpacking of archive failed on file /usr/src/packages/SOURCES/synergy-1.2.3.tar.gz: cpio: rename failed - Operation not permitted

can somebody tell me what it means, what is the crs user mean?

Thanks

rpm *** is a pretty outdated way of installing.

Use zypper also not sure why you’ve got a src rpm, any way I found it here in X11:Utilities You might want to disable the repo after installing though to stop any strange things happening at a later date.

Software.openSUSE.org

hmmm im pretty new at this why is rpm outdated and what is repo stand for?

Thank you I will search the x11:Utilities

Well with rpm it won’t resolve dependencies so you can end up in dependency hell quite quickly. You try to install A but it depends on B which then depends on C.

Using zypper or adding software repositories(repo’s(On line resources for software)) then using software management in yast it will do its best to resolve dependencies, using the repo’s you’ve configured.

I did actually give you an url to the package in my last post, you’ll notice it has a one click. Now I’m not against them but many new users do just click on this and that and end up in a bit of mess. But all they do is add a repository just for many times you don’t need the repository just a once off install. So you can either click the one click and it’ll go through bits and install it and add a repo. Though if using FF and you click the rpm it will give you the choice of installing it.

But my proviso before I would suggest removing it after, it probably won’t hurt but in some instances certain repositories can give you newer packages than desired.

Yesss!!! my man, it the rpm installed right away with no prob. Thanks a lot.

Now I just have to configure it. Thank you FeatherMonkey!

Hi. You can also configure synergy with Qsynergy. It’s a frontend for synergy. Here’s a link for 11.1: http://api.opensuse-community.org/searchservice//YMPs/openSUSE_111/c353ba707b17db566a1cd03d7a2d2e76aef3524d

Thanks already did. Thanks a lot man, be safe…